@charset "UTF-8";
body,html {
    margin: 0;
    padding: 0;
    height: 100%;
    background-color: black;
    line-height: 1.5;
    font-family: sans-serif;
    font-size: clamp(1.125rem, 2vw, 1.125rem);
    overflow: hidden;
    cursor: url('./../images/click.png'), auto;
    
   

        
   
}
 


.container {
    height: 100vh;
    width: 100%;
    /* hauteur de la page pour simuler le défilement */
    position: relative;
}

.centered {
    position: relative;
    color: white;
    text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #ffffff, 0 0 40px #ffffff, 0 0 50px #e60073, 0 0 60px #e60073, 0 0 70px #e60073;
    font-size: 24px;
    opacity: 0;
    animation: fadeIn 0.5s  ease forwards;
}

.centered-video {
    position: fixed;
    height: 100vh;
}

.music {
    display: none;
    /* Hide the audio element */
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.text{
    z-index: 2;
    position: absolute;
}

h1 {
    font-size: 2rem;
    margin: 30rem 0rem;
    text-align: center;
    color: white;
}

p {
    animation: fade linear;
    animation-timeline: view();
    margin: 20rem 0rem;
    text-align: center;
    color: white;
}

ul {
    text-align: center;
    color: white;
}

@keyframes fade {
    0% {
        margin-right: 100%;
        opacity: 0;
    }

    50% {
        margin-right: 50%;
        opacity: 0.5;
        backdrop-filter: blur(100%);
    }

    100% {
        margin-right: 0;
        opacity: 1;
        backdrop-filter: blur(0%)
    }
}
@media (max-width: 600px) {
    .centered-video {
          width: 100vw;
        }
}

@media (max-width: 400px) {
 
.centered-video {
        width: 100vw;
    }
}

